Quote REST endpoints
vendor/magento/module-quote/etc/webapi.xml
GET
/V1/carts/:cartId
Enables an administrative user to return information for a specified cart.
Quote · Magento\Quote\Api\CartRepositoryInterface::get
/V1/carts/:cartId/billing-address
Returns the billing address for a specified quote.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::get
/V1/carts/:cartId/coupons
Returns information for a coupon in a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::get
/V1/carts/:cartId/items
Lists items that are assigned to a specified cart.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::getList
/V1/carts/:cartId/payment-methods
Lists available payment methods for a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::getList
/V1/carts/:cartId/selected-payment-method
Returns the payment method for a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::get
/V1/carts/:cartId/shipping-methods
Lists applicable shipping methods for a specified quote.
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::getList
/V1/carts/:cartId/totals
Returns quote totals data for a specified cart.
Quote · Magento\Quote\Api\CartTotalRepositoryInterface::get
/V1/carts/mine
SelfReturns information for the cart for a specified customer.
Quote · Magento\Quote\Api\CartManagementInterface::getCartForCustomer
/V1/carts/mine/billing-address
SelfReturns the billing address for a specified quote.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::get
/V1/carts/mine/coupons
SelfReturns information for a coupon in a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::get
/V1/carts/mine/items
SelfLists items that are assigned to a specified cart.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::getList
/V1/carts/mine/payment-methods
SelfLists available payment methods for a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::getList
/V1/carts/mine/selected-payment-method
SelfReturns the payment method for a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::get
/V1/carts/mine/shipping-methods
SelfLists applicable shipping methods for a specified quote.
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::getList
/V1/carts/mine/totals
SelfReturns quote totals data for a specified cart.
Quote · Magento\Quote\Api\CartTotalRepositoryInterface::get
/V1/carts/search
Enables administrative users to list carts that match specified search criteria.
Quote · Magento\Quote\Api\CartRepositoryInterface::getList
/V1/guest-carts/:cartId
AnonymousEnable a guest user to return information for a specified cart.
Quote · Magento\Quote\Api\GuestCartRepositoryInterface::get
/V1/guest-carts/:cartId/billing-address
AnonymousReturn the billing address for a specified quote.
Quote · Magento\Quote\Api\GuestBillingAddressManagementInterface::get
/V1/guest-carts/:cartId/coupons
AnonymousReturn information for a coupon in a specified cart.
Quote · Magento\Quote\Api\GuestCouponManagementInterface::get
/V1/guest-carts/:cartId/items
AnonymousList items that are assigned to a specified cart.
Quote · Magento\Quote\Api\GuestCartItemRepositoryInterface::getList
/V1/guest-carts/:cartId/payment-methods
AnonymousList available payment methods for a specified shopping cart.
Quote · Magento\Quote\Api\GuestPaymentMethodManagementInterface::getList
/V1/guest-carts/:cartId/selected-payment-method
AnonymousReturn the payment method for a specified shopping cart.
Quote · Magento\Quote\Api\GuestPaymentMethodManagementInterface::get
/V1/guest-carts/:cartId/shipping-methods
AnonymousList applicable shipping methods for a specified quote.
Quote · Magento\Quote\Api\GuestShippingMethodManagementInterface::getList
/V1/guest-carts/:cartId/totals
AnonymousReturn quote totals data for a specified cart.
Quote · Magento\Quote\Api\GuestCartTotalRepositoryInterface::get
POST
/V1/carts/
Creates an empty cart and quote for a guest.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCart
/V1/carts/:cartId/billing-address
Assigns a specified billing address to a specified cart.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::assign
/V1/carts/:cartId/estimate-shipping-methods
Estimate shipping by address and return list of available shipping methods
Quote · Magento\Quote\Api\ShipmentEstimationInterface::estimateByExtendedAddress
/V1/carts/:cartId/estimate-shipping-methods-by-address-id
Estimate shipping
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::estimateByAddressId
/V1/carts/:quoteId/items
Add/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/carts/mine
SelfCreates an empty cart and quote for a specified customer if customer does not have a cart yet.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCartForCustomer
/V1/carts/mine/billing-address
SelfAssigns a specified billing address to a specified cart.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::assign
/V1/carts/mine/estimate-shipping-methods
SelfEstimate shipping by address and return list of available shipping methods
Quote · Magento\Quote\Api\ShipmentEstimationInterface::estimateByExtendedAddress
/V1/carts/mine/estimate-shipping-methods-by-address-id
SelfEstimate shipping
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::estimateByAddressId
/V1/carts/mine/items
SelfAdd/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/customers/:customerId/carts
Creates an empty cart and quote for a specified customer if customer does not have a cart yet.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCartForCustomer
/V1/guest-carts
AnonymousEnable an customer or guest user to create an empty cart and quote for an anonymous customer.
Quote · Magento\Quote\Api\GuestCartManagementInterface::createEmptyCart
/V1/guest-carts/:cartId/billing-address
AnonymousAssign a specified billing address to a specified cart.
Quote · Magento\Quote\Api\GuestBillingAddressManagementInterface::assign
/V1/guest-carts/:cartId/estimate-shipping-methods
AnonymousQuote · Magento\Quote\Api\GuestShipmentEstimationInterface::estimateByExtendedAddress
/V1/guest-carts/:cartId/items
AnonymousAdd/update the specified cart item.
Quote · Magento\Quote\Api\GuestCartItemRepositoryInterface::save
PUT
/V1/carts/:cartId
Assigns a specified customer to a specified shopping cart.
Quote · Magento\Quote\Api\CartManagementInterface::assignCustomer
/V1/carts/:cartId/coupons/:couponCode
Adds a coupon by code to a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::set
/V1/carts/:cartId/items/:itemId
Add/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/carts/:cartId/order
Places an order for a specified cart.
Quote · Magento\Quote\Api\CartManagementInterface::placeOrder
/V1/carts/:cartId/selected-payment-method
Adds a specified payment method to a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::set
/V1/carts/mine
SelfSave quote
Quote · Magento\Quote\Api\CartRepositoryInterface::save
/V1/carts/mine/collect-totals
SelfSet shipping/billing methods and additional data for cart and collect totals.
Quote · Magento\Quote\Api\CartTotalManagementInterface::collectTotals
/V1/carts/mine/coupons/:couponCode
SelfAdds a coupon by code to a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::set
/V1/carts/mine/items/:itemId
SelfAdd/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/carts/mine/order
SelfPlaces an order for a specified cart.
Quote · Magento\Quote\Api\CartManagementInterface::placeOrder
/V1/carts/mine/selected-payment-method
SelfAdds a specified payment method to a specified shopping cart.
Quote · Magento\Quote\Api\PaymentMethodManagementInterface::set
/V1/guest-carts/:cartId
SelfAssign a specified customer to a specified shopping cart.
Quote · Magento\Quote\Api\GuestCartManagementInterface::assignCustomer
/V1/guest-carts/:cartId/collect-totals
AnonymousSet shipping/billing methods and additional data for cart and collect totals for guest.
Quote · Magento\Quote\Api\GuestCartTotalManagementInterface::collectTotals
/V1/guest-carts/:cartId/coupons/:couponCode
AnonymousAdd a coupon by code to a specified cart.
Quote · Magento\Quote\Api\GuestCouponManagementInterface::set
/V1/guest-carts/:cartId/items/:itemId
AnonymousAdd/update the specified cart item.
Quote · Magento\Quote\Api\GuestCartItemRepositoryInterface::save
/V1/guest-carts/:cartId/order
AnonymousPlace an order for a specified cart.
Quote · Magento\Quote\Api\GuestCartManagementInterface::placeOrder
/V1/guest-carts/:cartId/selected-payment-method
AnonymousAdd a specified payment method to a specified shopping cart.
Quote · Magento\Quote\Api\GuestPaymentMethodManagementInterface::set
DELETE
/V1/carts/:cartId/coupons
Deletes a coupon from a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::remove
/V1/carts/:cartId/items/:itemId
Removes the specified item from the specified cart.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::deleteById
/V1/carts/mine/coupons
SelfDeletes a coupon from a specified cart.
Quote · Magento\Quote\Api\CouponManagementInterface::remove
/V1/carts/mine/items/:itemId
SelfRemoves the specified item from the specified cart.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::deleteById
/V1/guest-carts/:cartId/coupons
AnonymousDelete a coupon from a specified cart.
Quote · Magento\Quote\Api\GuestCouponManagementInterface::remove
/V1/guest-carts/:cartId/items/:itemId
AnonymousRemove the specified item from the specified cart.
Quote · Magento\Quote\Api\GuestCartItemRepositoryInterface::deleteById
Every Magento dev tool, in one hosted workspace.
Free to sign up. Nothing to install. Drafts, audits, and projects saved across every tool.